## python-shodan 1.11.1

=== requirements.txt ===
click
click-plugins
colorama
requests>=2.2.1
XlsxWriter

## python-shodan 1.10.4

=== debian/changelog ===
python-shodan (1.10.4-1) unstable; urgency=medium

  * New upstream version 1.10.4
  * d/control: Set Multi-Arch: foreign on doc package

 -- Samuel Henrique <samueloph@debian.org>  Tue, 09 Oct 2018 20:52:15 -0300

python-shodan (1.10.3-1) unstable; urgency=medium

  * New upstream version 1.10.3

 -- Samuel Henrique <samueloph@debian.org>  Thu, 04 Oct 2018 18:03:29 -0300

python-shodan (1.7.7-1) unstable; urgency=medium

  * Initial release on debian (closes: #900319)
  * Bump Standards-Version to 4.2.1
  * Add python-shodan-doc.doc-base for html files
  * d/control: from kali to debian under DPMT team
  * d/control: add autopkgtest-pkg-python
  * d/copyright: fix problems reported by ftp-master
  * wrap-and-sort -a

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Samuel Henrique <samueloph@debian.org>  Wed, 03 Oct 2018 19:38:37 -0300

python-shodan (1.7.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * Add python3 package
  * Update debian/watch
  * Use debhelper 11
  * Update Vcs-Git
  * Bump Standards-Version
  * Add python-shodan-doc package
  * Change architecture to all
  * Use pybuild

 -- Sophie Brun <sophie@freexian.com>  Wed, 16 May 2018 14:48:26 +0200

python-shodan (1.0.2-0kali1) kali; urgency=low

  * Initial release (Closes: 0001094)

 -- Devon Kearns <dookie@kali.org>  Wed, 19 Mar 2014 08:28:05 -0600

=== debian/control ===
Source: python-shodan
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.2.1
Homepage: https://github.com/achillean/shodan-python
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan
Vcs-Git: https://salsa.debian.org/python-team/modules/python-shodan.git
Testsuite: autopkgtest-pkg-python

Package: python-shodan
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-shodan-doc
Description: Official Python library for Shodan (Python 2)
 Shodan is a search engine for Internet-connected devices. Google lets you
 search for websites, Shodan lets you search for devices. This library provides
 developers easy access to all of the data stored in Shodan in order to
 automate tasks and integrate into existing tools.
 .
 This package installs the library for Python 2.

Package: python3-shodan
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-shodan-doc
Description: Official Python library for Shodan (Python 3)
 Shodan is a search engine for Internet-connected devices. Google lets you
 search for websites, Shodan lets you search for devices. This library provides
 developers easy access to all of the data stored in Shodan in order to
 automate tasks and integrate into existing tools.
 .
 This package installs the library for Python 3.

Package: python-shodan-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Official Python library for Shodan (common documentation)
 Shodan is a search engine for Internet-connected devices. Google lets you
 search for websites, Shodan lets you search for devices. This library provides
 developers easy access to all of the data stored in Shodan in order to
 automate tasks and integrate into existing tools.
 .
 This package installs the common documentation package.

## python-shodan 1.11.1

=== debian/changelog ===
python-shodan (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Samuel Henrique <samueloph@debian.org>  Fri, 01 Mar 2019 00:30:43 +0000

python-shodan (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Bump DH level to 12
  * Bump Standards-Version to 4.3.0

 -- Samuel Henrique <samueloph@debian.org>  Sat, 23 Feb 2019 11:42:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-shodan.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=shodan

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# don't install usr/bin/shodan in Python 2 package (conflicts with
	# Python 3 package
	rm debian/python-shodan/usr/bin/shodan

override_dh_auto_test:
	# don't run the tests, a SHODAN API KEY is required

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-shodan-$1.tar.gz%" \
   https://github.com/achillean/shodan-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-shodan 1.15.0

=== debian/changelog ===
python-shodan (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0
  * Bump Standards-Version to 4.4.0
  * d/control: add tilt on debhelper version to ease backporting

 -- Samuel Henrique <samueloph@debian.org>  Tue, 20 Aug 2019 21:49:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-shodan.git

## python-shodan 1.21.3

=== debian/changelog ===
python-shodan (1.21.3-1) unstable; urgency=medium

  * New upstream version 1.21.3

 -- Samuel Henrique <samueloph@debian.org>  Thu, 23 Jan 2020 00:09:38 +0000

python-shodan (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2

 -- Samuel Henrique <samueloph@debian.org>  Thu, 09 Jan 2020 23:53:47 +0000

python-shodan (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1

 -- Samuel Henrique <samueloph@debian.org>  Mon, 30 Dec 2019 17:41:14 +0000

python-shodan (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0

 -- Samuel Henrique <samueloph@debian.org>  Wed, 18 Dec 2019 18:37:17 +0000

python-shodan (1.20.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Samuel Henrique ]
  * New upstream version 1.20.0
  * d/control: Add Rules-Requires-Root: no
  * d/watch: Use pypi instead of github

 -- Samuel Henrique <samueloph@debian.org>  Sun, 01 Dec 2019 23:13:55 +0000

python-shodan (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 Oct 2019 20:24:15 +0100

python-shodan (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0

 -- Samuel Henrique <samueloph@debian.org>  Fri, 27 Sep 2019 23:35:02 +0100

python-shodan (1.15.0-4) unstable; urgency=medium

  * Forgot to remove python2 build-deps (closes: #938172)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 04 Sep 2019 00:20:56 +0100

python-shodan (1.15.0-3) unstable; urgency=medium

  * Upload source-only, mistakenly uploaded "-2" amd64
    and there are no foreseen future uploads of the package
    for this to be put on hold.

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Aug 2019 19:50:17 +0100

python-shodan (1.15.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Samuel Henrique ]
  * Drop python2 package (closes: #932668)
  * d/python-shodan-doc.doc-base: fix path of index.html

 -- Samuel Henrique <samueloph@debian.org>  Fri, 23 Aug 2019 19:04:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,17 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-shodan.git
 Testsuite: autopkgtest-pkg-python
-
-Package: python-shodan
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Suggests: python-shodan-doc
-Description: Official Python library for Shodan (Python 2)
- Shodan is a search engine for Internet-connected devices. Google lets you
- search for websites, Shodan lets you search for devices. This library provides
- developers easy access to all of the data stored in Shodan in order to
- automate tasks and integrate into existing tools.
- .
- This package installs the library for Python 2.
 
 Package: python3-shodan
 Architecture: all

## python-shodan 1.23.0

=== debian/changelog ===
python-shodan (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0

 -- Samuel Henrique <samueloph@debian.org>  Wed, 08 Apr 2020 19:26:13 +0100

python-shodan (1.22.0-1) unstable; urgency=medium

  * New upstream version 1.22.0
  * Bump Standards Version to 4.5.0
  * d/gbp.conf: Create file

 -- Samuel Henrique <samueloph@debian.org>  Sat, 21 Mar 2020 23:19:11 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan

## python-shodan 1.25.0

=== debian/changelog ===
python-shodan (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0

 -- Samuel Henrique <samueloph@debian.org>  Wed, 27 Jan 2021 18:01:20 +0000

python-shodan (1.24.0-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 1.24.0

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 18 Oct 2020 15:21:59 +0100

python-shodan (1.23.1-1) unstable; urgency=medium

  * New upstream version 1.23.1
  * Bump DH to 13

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Sep 2020 19:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
@@ -11,8 +11,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/achillean/shodan-python
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-shodan
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-shodan.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shodan
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-shodan.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-shodan

## python-shodan 1.26.1

=== requirements.txt ===
click
click-plugins
colorama
requests>=2.2.1
XlsxWriter
ipaddress;python_version<='2.7'

=== debian/changelog ===
python-shodan (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1

 -- Samuel Henrique <samueloph@debian.org>  Thu, 20 Jan 2022 20:44:51 +0000

python-shodan (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0

 -- Samuel Henrique <samueloph@debian.org>  Fri, 07 Jan 2022 18:01:14 -0300

python-shodan (1.25.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * Fix FTBFS due to a mis-evaluation of ipaddress dependency from dh_python

 -- Samuel Henrique <samueloph@debian.org>  Sat, 25 Dec 2021 17:23:40 -0300

python-shodan (1.25.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update Maintainer to Debian Python Team.

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Aug 2021 18:01:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-shodan
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shodan

## python-shodan 1.28.0

=== debian/changelog ===
python-shodan (1.28.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 21:06:29 +0100

python-shodan (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0

 -- Samuel Henrique <samueloph@debian.org>  Tue, 12 Jul 2022 18:19:50 +0100

python-shodan (1.27.0-1) unstable; urgency=medium

  * New upstream version 1.27.0

 -- Samuel Henrique <samueloph@debian.org>  Sat, 26 Feb 2022 18:40:10 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shodan

## python-shodan 1.30.1

=== debian/changelog ===
python-shodan (1.30.1-1) unstable; urgency=medium

  * New upstream version 1.30.1

 -- Samuel Henrique <samueloph@debian.org>  Fri, 24 Nov 2023 10:13:55 +0000

python-shodan (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * Bump Standards-Version to 4.6.2
  * d/control: Add new dependency python3-tldextract

 -- Samuel Henrique <samueloph@debian.org>  Wed, 13 Sep 2023 00:35:34 +0530

## python-shodan 1.31.0

=== requirements.txt ===
click
click-plugins
colorama
requests>=2.2.1
XlsxWriter
ipaddress;python_version<='2.7'
tldextract

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/shodan-python.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/shodan-python.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/shodan-python"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/shodan-python"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-shodan (1.31.0-2) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Trim noise from debian/rules

  [ Bas Couwenberg ]
  * vendor python3-click-plugins (Closes: #1108457)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 16:01:43 +0200

python-shodan (1.31.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.31.0

 -- Mylena Angelica <mylena.asf@gmail.com>  Thu, 16 May 2024 20:48:25 -0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
+               python3-tldextract,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/achillean/shodan-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-shodan
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-shodan.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=shodan

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	# don't run the tests, a SHODAN API KEY is required

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/shodan/shodan-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
